Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 458122 - perl-core packages stabilization for perl-5.16
Summary: perl-core packages stabilization for perl-5.16
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: STABLEREQ
: 413263 (view as bug list)
Depends on: 425282 449626 458136 458138
Blocks: 381851 CVE-2011-3597 perl-5.16 461898
  Show dependency tree
 
Reported: 2013-02-18 15:09 UTC by Torsten Veller (RETIRED)
Modified: 2013-11-27 21:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
per arch list (perl-core-list.txt,34.51 KB, text/plain)
2013-02-18 15:09 UTC, Torsten Veller (RETIRED)
Details
Per arch list. (perl-core-list2.txt,34.70 KB, text/plain)
2013-02-18 16:33 UTC, Torsten Veller (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Veller (RETIRED) gentoo-dev 2013-02-18 15:09:43 UTC
Created attachment 339250 [details]
per arch list

Here is the first list of stable candidates in the perl-core category.

Please try to update you system and report back if any package is missing.
The list works for me an a minimal stable amd64 system.

Thanks
Comment 1 Agostino Sarubbo gentoo-dev 2013-02-18 15:28:38 UTC
there is no =virtual/perl-Attribute-Handlers-0.930.0, there is an r1, please update
Comment 2 Agostino Sarubbo gentoo-dev 2013-02-18 15:31:07 UTC
(In reply to comment #1)
> there is no =virtual/perl-Attribute-Handlers-0.930.0, there is an r1, please
> update

There are more package not anymore in the tree, please check your list
Comment 3 Torsten Veller (RETIRED) gentoo-dev 2013-02-18 16:33:35 UTC
Created attachment 339264 [details]
Per arch list.

Okay. Now with "=" signs.
The virtuals are rev-bumped when alternative perl versions are added. You can just use the latest version.

Thanks
Comment 4 Agostino Sarubbo gentoo-dev 2013-02-18 19:07:39 UTC
amd64 stable
Comment 5 Agostino Sarubbo gentoo-dev 2013-02-18 19:34:06 UTC
x86 stable
Comment 6 Agostino Sarubbo gentoo-dev 2013-02-18 23:16:18 UTC
ppc64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2013-02-19 00:14:42 UTC
ppc stable
Comment 8 Agostino Sarubbo gentoo-dev 2013-02-19 10:22:49 UTC
hppa stable
Comment 9 Agostino Sarubbo gentoo-dev 2013-02-19 19:38:06 UTC
alpha stable
Comment 10 Agostino Sarubbo gentoo-dev 2013-02-19 20:58:47 UTC
s390 stable
Comment 11 Agostino Sarubbo gentoo-dev 2013-02-19 22:15:03 UTC
arm stable
Comment 12 Agostino Sarubbo gentoo-dev 2013-02-21 15:16:48 UTC
ia64 stable
Comment 13 Agostino Sarubbo gentoo-dev 2013-02-23 09:03:27 UTC
sparc stable
Comment 14 Agostino Sarubbo gentoo-dev 2013-03-02 16:41:17 UTC
sh stable
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-07-08 12:16:31 UTC
*** Bug 413263 has been marked as a duplicate of this bug. ***
Comment 16 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-07-13 11:21:56 UTC
Closed. Leaving m68k as unstable.
Comment 17 Vladimir Smirnov (RETIRED) gentoo-dev 2013-11-20 10:03:16 UTC
We've also found 2 additional packages:
perl-core/Module-CoreList-2.840.0
virtual/perl-Module-CoreList-2.840.0
Comment 18 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-11-21 06:47:46 UTC
alpha stable
Comment 19 Jeroen Roovers (RETIRED) gentoo-dev 2013-11-21 17:09:14 UTC
Stable for HPPA.
Comment 20 Myckel Habets 2013-11-22 13:31:45 UTC
(In reply to Vladimir Smirnov from comment #17)
> We've also found 2 additional packages:
> perl-core/Module-CoreList-2.840.0
> virtual/perl-Module-CoreList-2.840.0

Bulds and runs tests fine on x86. Rdeps build and run tests fine as well. Please mark stable for x86.
Comment 21 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-11-22 14:45:57 UTC
x86 stable, thanks Myckel
Comment 22 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-11-23 14:45:32 UTC
amd64 stable
Comment 23 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-11-24 09:18:23 UTC
ia64 stable
Comment 24 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-11-24 11:14:20 UTC
ppc stable
Comment 25 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-11-24 13:40:09 UTC
ppc64 stable
Comment 26 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-11-24 17:54:41 UTC
sparc stable
Comment 27 Markus Meier gentoo-dev 2013-11-27 21:07:22 UTC
arm stable, all arches done.